Package org.apache.sysds.runtime.controlprogram.paramserv

# Class SparkPSBody

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.SparkPSBody

public class SparkPSBody extends Object
Wrapper class containing all needed for launching spark remote worker

## Constructor Summary

Constructors
Constructor
Description
`SparkPSBody()`
`SparkPSBody(ExecutionContext ec)`

## Method Summary

Modifier and Type
Method
Description
`ExecutionContext`
`getEc()`
`void`
`setEc(ExecutionContext ec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SparkPSBody

public SparkPSBody()

### SparkPSBody

public SparkPSBody(ExecutionContext ec)

## Method Details

### getEc

public ExecutionContext getEc()

### setEc

public void setEc(ExecutionContext ec)